Bug 250705 - [NEW PORT] net-im/biboumi: XMPP gateway to IRC
Summary: [NEW PORT] net-im/biboumi: XMPP gateway to IRC
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ashish SHUKLA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-28 22:30 UTC by samir
Modified: 2021-07-21 11:09 UTC (History)
2 users (show)

See Also:


Attachments
svn diff (9.37 KB, patch)
2020-10-28 22:30 UTC, samir
no flags Details | Diff
v2 (1.87 KB, patch)
2021-06-17 16:11 UTC, Ashish SHUKLA
no flags Details | Diff
patch for the UIDs, and GIDs file (737 bytes, patch)
2021-06-17 16:13 UTC, Ashish SHUKLA
no flags Details | Diff
updated diff (git) (7.25 KB, patch)
2021-07-01 23:17 UTC, samir
no flags Details | Diff
Updated git diff with pkg-message.in (6.58 KB, patch)
2021-07-18 17:26 UTC, samir
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description samir 2020-10-28 22:30:38 UTC
Created attachment 219183 [details]
svn diff

Biboumi is gateway that connects to IRC from a XMPP server, allowing to join IRC discussions from an XMPP client.

portlint and poudriere testport OK
Comment 1 Ashish SHUKLA freebsd_committer 2021-06-17 16:11:30 UTC
Created attachment 225895 [details]
v2

Patch on top of yours to fix couple of issues:

- remove $FreeBSD$ header
- fetch the dependency through ports system which it's trying to fetch with git, as network won't be available in sandboxed/jailed builder environments
- fix the dependency on sphinx
Comment 2 Ashish SHUKLA freebsd_committer 2021-06-17 16:13:48 UTC
Created attachment 225896 [details]
patch for the UIDs, and GIDs file

Updated patch for UIDs, and GIDs file now that previous UID/GID are not available anymore.
Comment 3 Daniel Engberg 2021-06-17 23:09:11 UTC
Use tar.xz archive ( https://biboumi.louiz.org/ )
CMAKE_ARGS+= should be CMAKE_ARGS= and be placed below GITHUB variables
Why do we pull in both sqlite and postgre by default?
Ordering is a bit odd, XXX_DESC should preferably be grouped and be placed below OPTIONS_DEFAULT
No need to use DESC for sqlite and postgre?
Comment 4 samir 2021-07-01 23:15:05 UTC
Thanks for the patchs and reviews.

Postgres and sqlite are both enabled by default to ease the use of one of the other to store biboumi's data. But if it's not common in FreeBSD ports maybe we can let only sqlite enabled by default ?

About the databases options DESC, I thought it would be better to be more explicit about what the databases are used for.

I' put a new diff (git) in attachment with:
- Ashish's fixes (UIDs/GIDs, $FreeBSD$ header removal, dependency fetch, sphinx)
- addition of tar:xz USE
- reordering of GITHUB and DESC vars
- fix CMAKE_ARGS usage
Comment 5 samir 2021-07-01 23:17:05 UTC
Created attachment 226160 [details]
updated diff (git)
Comment 6 Ashish SHUKLA freebsd_committer 2021-07-03 09:47:52 UTC
(In reply to samir from comment #5)

Thanks for the update. A small correction, since pkg-message contains variables to be substituted (%%PREFIX%%), could you please move it to files/pkg-message.in, and then designate it to be substituted:

@@ -63,6 +60,7 @@
 USE_RC_SUBR=   biboumi
 SUB_LIST=      USER=${USERS} GROUP=${GROUPS}
 PLIST_SUB=     ${SUB_LIST}
+SUB_FILES=     pkg-message

 post-patch:
        ${REINPLACE_CMD} -e 's,GIT_REPOSITORY.*Catch.git",SOURCE_DIR "${WRKSRC}/external/src/catch",' ${WRKSRC}/CMakeLists.txt


Thanks!
Comment 7 samir 2021-07-18 17:26:39 UTC
Created attachment 226535 [details]
Updated git diff with pkg-message.in

In attachment a new diff with usage of pkg-message.in

Thanks!
Comment 8 commit-hook freebsd_committer 2021-07-20 22:13:19 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=5f49d1f3a82c393bb865e7ca43c06aa591e78b84

commit 5f49d1f3a82c393bb865e7ca43c06aa591e78b84
Author:     samir <samir@noir.im>
AuthorDate: 2021-07-20 22:06:41 +0000
Commit:     Ashish SHUKLA <ashish@FreeBSD.org>
CommitDate: 2021-07-20 22:11:30 +0000

    net-im/biboumi: new port: XMPP gateway to IRC

    Biboumi is a Free, Libre and Open Source XMPP gateway that connects to
    IRC servers and translates between the two protocols. Its goal is to
    let XMPP users take part in IRC discussions, using their favourite XMPP
    client.

    WWW: https://biboumi.louiz.org/
    PR:             250705

 GIDs                                          |  2 +-
 UIDs                                          |  2 +-
 net-im/biboumi/Makefile (new)                 | 91 +++++++++++++++++++++++++++
 net-im/biboumi/distinfo (new)                 |  5 ++
 net-im/biboumi/files/biboumi.in (new)         | 37 +++++++++++
 net-im/biboumi/files/patch-doc_Makefile (new) | 11 ++++
 net-im/biboumi/files/pkg-message.in (new)     |  5 ++
 net-im/biboumi/pkg-descr (new)                |  5 ++
 net-im/biboumi/pkg-plist (new)                | 10 +++
 9 files changed, 166 insertions(+), 2 deletions(-)
Comment 9 Ashish SHUKLA freebsd_committer 2021-07-20 22:14:57 UTC
Committed, thanks!
Comment 10 commit-hook freebsd_committer 2021-07-21 11:09:29 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4642ccc60e9e00c2c50e57d419c9d402eda682e8

commit 4642ccc60e9e00c2c50e57d419c9d402eda682e8
Author:     Ashish SHUKLA <ashish@FreeBSD.org>
AuthorDate: 2021-07-21 11:06:29 +0000
Commit:     Ashish SHUKLA <ashish@FreeBSD.org>
CommitDate: 2021-07-21 11:08:16 +0000

    net-im/biboumi: Link to the build

    PR:             250705
    Reported by:    antoine

 net-im/Makefile | 1 +
 1 file changed, 1 insertion(+)